=== debian/changelog ===
trinityrnaseq (2.15.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1113587
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 16:18:48 +0200

trinityrnaseq (2.15.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Delete patch R_4.2_fix, it was applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 21 Aug 2024 23:59:34 +0200
