=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

JDIR=/usr/share/java
export CLASSPATH=${JDIR}/commons-collections4.jar:${JDIR}/gnu-getopt.jar:${JDIR}/jung-algorithms.jar:${JDIR}/jung-api.jar:${JDIR}/jung-graph-impl.jar:${JDIR}/jaligner.jar
export JAVA_HOME=/usr/lib/jvm/default-java
SOURCE_DIRECTORIES_CMAKE = Inchworm Chrysalis
SOURCE_DIRECTORIES_SIMPLE_CLEAN = trinity-plugins/slclust trinity-plugins/scaffold_iworm_contigs trinity-plugins/bamsifter
SOURCE_DIRECTORIES_SIMPLE_ALL = ${SOURCE_DIRECTORIES_SIMPLE_CLEAN} trinity-plugins/seqtk-trinity
BASEDIR=debian/trinityrnaseq/usr/lib/trinityrnaseq
EXBASEDIR=debian/trinityrnaseq-examples/usr/share/trinityrnaseq
include /usr/share/dpkg/pkg-info.mk

export BUILD_DATETIME := "$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
%:
	dh $@ --with javahelper

override_dh_autoreconf:
	echo No need to run autoreconf

override_dh_auto_configure:
	rm -f Chrysalis/Makefile
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_configure \
                --sourcedirectory=$${target} --builddirectory=$${target}_build -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5 ; done

override_dh_auto_build:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_build \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_ALL}; do dh_auto_build \
                --sourcedirectory=$${target}; done

override_dh_auto_clean:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_clean \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_CLEAN}; do dh_auto_clean \
                --sourcedirectory=$${target}; done
	rm --force Chrysalis/Makefile_auto
	rm --force trinity-plugins/slclust/bin/slclust
	cd trinity-plugins && $(MAKE) clean || true

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	java -cp Butterfly.jar TransAssembly_allProbPaths -N 10000 -L 300 \
		-F 300 -C Butterfly/Butterfly/src/sample_data/c1.graph --stderr -V 20
endif

override_dh_auto_install:
	for target in ${SOURCE_DIRECTORIES_CMAKE}; do dh_auto_install \
                --sourcedirectory=$${target} --builddirectory=$${target}_build; done
	for target in ${SOURCE_DIRECTORIES_SIMPLE_ALL}; do dh_auto_install \
                --sourcedirectory=$${target}; done

override_dh_install-arch:
	dh_install -a
	find debian/trinityrnaseq -name '*.p?' | xargs sed -i \
		's=^#!/usr/local/bin/perl=#!/usr/bin/perl='
	chmod u+x \
		${BASEDIR}/Analysis/DifferentialExpression/pairwise_summaries/class_to_separate_fpkm_matrices.pl \
		${BASEDIR}/Analysis/FL_reconstruction_analysis/count_by_expression_quintile.pl \
		${BASEDIR}/util/misc/capture_orig_n_unmapped_reads.pl \
		${BASEDIR}/util/support_scripts/plugin_install_tests.sh \
		${BASEDIR}/util/support_scripts/trinity_install_tests.sh
	chmod -R a-x ${BASEDIR}/PerlLib/*.pm
	chmod -R a-x ${BASEDIR}/PerlLib/*/*.pm
	find debian -name __pycache__ -type d | xargs rm -rf

override_dh_install-indep:
	dh_install -i
	chmod u+x \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.clean.sh \
		${EXBASEDIR}/sample_data/test_Trinity_Assembly/__indiv_ex_sample_derived/ex05/runMe.sh \
		${EXBASEDIR}/trinity_ext_sample_data/__regression_tests/test_GraphFromFasta/runMe.sh \
		${EXBASEDIR}/trinity_ext_sample_data/test_Inchworm/runMe_MPI.sh \

override_dh_fixperms:
	dh_fixperms
	find debian -name genwig.sh -exec chmod +x \{\} \;
	for pl in `grep -Rl '#!/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done
