=== debian/watch ===
Version: 5

Template: Github
Owner: trinityrnaseq
Project: trinityrnaseq
Repack-Suffix: +dfsg
Dversion-Mangle: auto
